TITLE1 "EXAMPLE01.SAS Independent Groups t Test";
PROC IML SYMSIZE=4000 WORKSIZE=4000;
%INCLUDE "C:\MRJ\WEBSITE_FILES\CISIZE01.IML" / NOSOURCE2;

ALPHA={0.05};

ESSENCEX={1 0,
          1 1};
REPN={25};

C={0 1};
BETA={0,
      1};  BETASCAL={1};
U={1};

SIGMA=I(1); *Variance value, not standard deviation;
SIGSCAL={1};
DELTA={1}; DELTSCAL={1};
THETA0={0};

EVENTS={"WARGV" "WGV" "WIDTH" "REJECT"};
RUN PREVENT;

**********************************************;
*Control matrices with defaults are as follows;
*CISIDE= { "LU" };
*ALTHYP= { "^=" } ;
*ROUND={3};
*MAXPDIFF={1E-5};
*OPT_ON is left undefined if wish program to print result matrix;
*assigning value of OPT_ON={NOPRINT} causes program to print nothing;
**********************************************;
