TITLE1 "EXAMPLE02.SAS Independent Groups t Test, input lists for many values"; 
PROC IML SYMSIZE=4000 WORKSIZE=4000;
%INCLUDE "C:\MRJ\WEBSITE_FILES\CISIZE01.IML" / NOSOURCE2;

ALPHA={0.025 0.05};

ESSENCEX={1 0,
          1 1};
REPN=DO(10,100,10);

C={0 1};
BETA={0,
      1}; BETASCAL={0.5 1.0 1.5};
U={1};

SIGMA=I(1); SIGSCAL={0.5 1.0 1.5};
DELTA={1}; DELTSCAL={0.5 1.0 1.5};
THETA0={0};

EVENTS={"WARGV" "WGV" "WIDTH" "REJECT"};
RUN PREVENT;

*Next 2 lines creates a SAS data file in default library (usually WORK);
CREATE ONE FROM _HOLDPR_[COLNAME=_PRNM_];
APPEND FROM _HOLDPR_;
* sorted BY SIGSCAL BETASCAL DELTSCAL TOTAL_N ALPHA;
*End of IML code;

PROC PRINT DATA=ONE UNIFORM;
VAR  TOTAL_N   
WARGV WGV WIDTH REJECT;
FORMAT WARGV WGV WIDTH REJECT 7.5;
BY SIGSCAL BETASCAL DELTSCAL; 
PAGEBY SIGSCAL;
RUN;