TITLE1 "EXAMPLE09.SAS--Paired data T-test, EXAMPLE08 data";
TITLE2 "create .JPEG file containing overlay plot of WARGV, WGV and REJECT";

LIBNAME IN01 "C:\MRJ\WEBSITE_FILES\DATA\";
FILENAME OUT01 "C:\MRJ\WEBSITE_FILES\PLOTS\EXAMPLE09.JPEG";

SYMBOL1 I=SPLINE V=NONE L=1 W=5 COLOR=RED; *WARGV;
SYMBOL2 I=SPLINE V=NONE L=34  W=5 COLOR=VIOLET; *WGV;
SYMBOL3 I=SPLINE V=NONE L=41 W=5 COLOR=BLUE; *REJECT;

AXIS1 ORDER=(0 TO 1 BY 0.2) WIDTH=3 MINOR=NONE MAJOR=(W=3);
AXIS2 ORDER=(5 TO 50 BY 10) WIDTH=3 MINOR=NONE MAJOR=(W=3);

GOPTIONS DISPLAY GSFMODE=REPLACE
         DEVICE=JPEG TARGETDEVICE=PSLEPSFC 
         CBACK=WHITE  COLORS=(BLACK)
         HSIZE=6. IN   VSIZE=3.0 IN
         HTEXT=.16666 IN  HTITLE=.16666 IN  HBY=.16666 IN
         FTEXT="TRIPLEX" FTITLE=TRIPLEX  FBY=TRIPLEX
         HORIGIN=0 IN  VORIGIN=0 IN;

GOPTIONS GSFNAME=OUT01;
PROC GPLOT DATA=IN01.EXAMPLE08;
     PLOT (WARGV WGV REJECT)*TOTAL_N / OVERLAY NOFRAME 
          VZERO VAXIS=AXIS1
          HZERO HAXIS=AXIS2; 
LABEL TOTAL_N  = "Total sample size"
      WARGV    = "Pr{ }";
TITLE;
RUN; QUIT; RUN;